> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Business By ID

> Close a business object so they are unable to transact.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml delete /deliver/businesses/{id}
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/businesses/{id}:
    delete:
      tags:
        - Businesses
      summary: Closes a business by id
      description: Close a business object so they are unable to transact.
      operationId: delete-business
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
        - name: id
          description: Orum generated unique id for the business you are updating.
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/OrumId'
          x-orum-error-invalid:
            known-error: unknown_id_business
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - write:businesses
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    BusinessResponse:
      title: BusinessResponse
      type: object
      required:
        - business
      properties:
        business:
          allOf:
            - $ref: '#/components/schemas/BusinessResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    BusinessResponseBase:
      title: BusinessResponseBase
      type: object
      required:
        - id
        - customer_reference_id
        - legal_name
        - status
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        customer_reference_id:
          $ref: '#/components/schemas/CustomerReferenceId'
        legal_name:
          type: string
          description: >-
            The legal name of the business as it appears on official
            registration forms. Accepts alphanumeric characters and hyphens,
            dashes, periods, apostrophes, spaces, hashes, colons, forward
            slashes, and diacritics.
        business_name:
          type: string
          description: >-
            A trade name or pseudonym used by the business that is not its
            officially registered company name. Accepts alphanumeric characters
            and hyphens, dashes, periods, apostrophes, spaces, hashes, colons,
            forward slashes, and diacritics.
        entity_type:
          type: string
          description: Describes the type of business entity.
        tax_id_type:
          type: string
          description: >-
            The type of tax ID number associated with the business. Note: This
            field is required for payouts, deposits, or account-to-account
            transfers.
        account_holder_name:
          type: string
          description: Name of the owner or primary person associated with the business.
        incorporation_date:
          type: string
          description: Date the business was incorporated, in YYYY-MM-DD format.
        status:
          $ref: '#/components/schemas/BusinessStatus'
        addresses:
          type: array
          description: >-
            Incorporated address information for the business. Note: This field
            is required for payouts, deposits, or account-to-account transfers.
            Orum requires a physical address for all registered businesses;
            aligned with standards mandated by FinCEN and the FDIC. A physical
            address is a tangible building address, such as a home, office, or
            office suite. A PO Box is a mailing address, but not a physical
            address.
          items:
            $ref: '#/components/schemas/PostalAddressResponse'
          minItems: 1
          maxItems: 1
        contacts:
          type: array
          description: List of contact information for the business.
          items:
            $ref: '#/components/schemas/ContactResponseBusiness'
          minItems: 1
          maxItems: 3
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        closed_at:
          $ref: '#/components/schemas/ClosedAt'
        metadata:
          type: object
          description: >-
            Additional data you would like to provide on the resource. The field
            supports valid JSON of up to 5 key-value pairs with a maximum of 20
            characters for the key and 50 characters for the value. Do not
            include any sensitive information.
    CustomerReferenceId:
      title: CustomerReferenceId
      type: string
      description: >-
        Unique reference id for the customer (business or person) resource.
        Generated by you.
      minLength: 1
      maxLength: 255
    BusinessStatus:
      title: BusinessStatus
      type: string
      description: Status of Business.
      enum:
        - created
        - verified
        - rejected
        - restricted
        - closed
    PostalAddressResponse:
      title: PostalAddressResponse
      type: object
      required:
        - id
        - type
        - address1
        - city
        - state
        - country
        - zip5
        - created_at
        - updated_at
      description: Address.
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        type:
          $ref: '#/components/schemas/AddressType'
        address1:
          $ref: '#/components/schemas/Address1'
        address2:
          $ref: '#/components/schemas/Address2'
        city:
          $ref: '#/components/schemas/City'
        state:
          $ref: '#/components/schemas/State'
        country:
          $ref: '#/components/schemas/Country'
        zip5:
          $ref: '#/components/schemas/Zip5'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
    ContactResponseBusiness:
      title: ContactResponse
      type: object
      required:
        - id
        - type
        - value
        - created_at
        - updated_at
      description: Contact information.
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        type:
          $ref: '#/components/schemas/ContactTypeBusiness'
        value:
          type: string
          description: A standard set of values that indicate the contact type.
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
    ClosedAt:
      type: string
      description: Timestamp when the status of the resource was set to "closed".
      format: date-time
    AddressType:
      title: AddressType
      type: string
      description: Type of address.
      enum:
        - home
        - legal
    Address1:
      title: Address1
      type: string
      description: Address line 1.
      maxLength: 255
      x-orum-error-invalid:
        message: >-
          Address1 is invalid. Ensure it is a string with a maximum length of
          255 characters.
        code: invalid_address1
    Address2:
      title: Address2
      type: string
      description: Address line 2.
      maxLength: 255
      x-orum-error-invalid:
        message: >-
          Address2 is invalid. Ensure it is a string with a maximum length of
          255 characters.
        code: invalid_address2
    City:
      title: City
      type: string
      description: City.
      maxLength: 255
    State:
      title: State
      type: string
      pattern: ^[A-Z]{2}$
      description: Uppercase two-character state code of the address.
    Country:
      title: Country
      type: string
      description: 2-character ISO country code.
      enum:
        - US
    Zip5:
      title: Zip5
      type: string
      description: 5-digit ZIP Code. Numeric values (0-9) only.
      pattern: ^\d{5}$
    ContactTypeBusiness:
      title: ContactTypeBusiness
      type: string
      description: >-
        Type of contact information associated with a business - 'email',
        'phone' or 'website'.
      enum:
        - email
        - phone
        - website
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````